commit:     c5d3ee48221068488c1a92129586a931963cacce
Author:     Ilya Tumaykin <itumaykin <AT> gmail <DOT> com>
AuthorDate: Fri Feb 19 19:51:01 2016 +0000
Commit:     Ian Delaney <idella4 <AT> gentoo <DOT> org>
CommitDate: Fri Feb 19 20:21:45 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c5d3ee48

dev-python/mccabe: require pytest-runner only for tests

Despite of what setup.py says pytest-runner is required for tests only.

Package-Manager: portage-2.2.27

 dev-python/mccabe/mccabe-0.4.0.ebuild | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

diff --git a/dev-python/mccabe/mccabe-0.4.0.ebuild 
b/dev-python/mccabe/mccabe-0.4.0.ebuild
index a4d4a64..5aa2253 100644
--- a/dev-python/mccabe/mccabe-0.4.0.ebuild
+++ b/dev-python/mccabe/mccabe-0.4.0.ebuild
@@ -21,7 +21,12 @@ SLOT="0"
 
 RDEPEND="dev-python/flake8[${PYTHON_USEDEP}]"
 DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
-       dev-python/pytest-runner[${PYTHON_USEDEP}]"
+       test? ( dev-python/pytest-runner[${PYTHON_USEDEP}] )"
+
+src_prepare() {
+       sed -i -e '/pytest-runner/d' setup.py || die
+       distutils-r1_src_prepare
+}
 
 python_test() {
        ${EPYTHON} test_mccabe.py || die

Reply via email to